
//机械动力配方
ServerEvents.recipes(event => {
    let create = event.recipes.create

    //精铁
    create.crushing(Item.of('kubejs:jing_tie').withChance(0.1), 'minecraft:iron_ingot')
    //精金
    create.crushing(Item.of('kubejs:jing_jin').withChance(0.2), 'minecraft:gold_ingot')

    //序列组装
    const incomplete = 'create:incomplete_precision_mechanism'



    //蒸汽引擎
    create.mechanical_crafting(Item.of('tetra:dzzl_steam_engine', '{HideFlags:1,"dzzl_steam_engine/mechanical_housing_material":"mechanical_housing/iron","dzzl_steam_engine/rotation_speed_controller_material":"rotation_speed_controller/oak","dzzl_steam_engine/steam_boiler_material":"steam_boiler/steam_engine",energy_supply:"dzzl_steam_engine/steam_boiler","energy_supply:quality":0,honing_available:1b,honing_progress:0,mechanical_housing:"dzzl_steam_engine/mechanical_housing","mechanical_housing:quality":0,rotation_speed_controller:"dzzl_steam_engine/rotation_speed_controller","rotation_speed_controller:quality":0,showModels:["item","form_1"],tetra_all_effect:[{efficiency:0.0d,level:60,name:"gear_shift"},{efficiency:0.0d,level:15,name:"overload"},{efficiency:0.0d,level:512,name:"stress"}]}'),
        [
            'AAAAA',
            'BCCCB',
            'BCECB',
            'BCCCB',
            'DDDDD'
        ],
        {
            A: 'pasterdream:moltengold_ingot',
            B: 'create:steam_engine',
            C: 'create:fluid_tank',
            D: 'create:blaze_burner',
            E: 'kubejs:space_gem'
        }
    )
    //改进型—推进器
    create.sequenced_assembly(
        [
            Item.of('kubejs:tui_jin_qi')
        ],
        'create:encased_fan',
        [
            create.deploying(incomplete, [incomplete, 'kubejs:jing_jin']),
            create.deploying(incomplete, [incomplete, 'kubejs:jing_tie']),
            create.cutting(incomplete, incomplete),
            create.pressing(incomplete, incomplete),
            create.deploying(incomplete, [incomplete, 'create:precision_mechanism']),
            create.deploying(incomplete, [incomplete, 'create:railway_casing'])
        ]).transitionalItem(incomplete).loops(4)
    //机械手柄
    create.sequenced_assembly(
        [
            Item.of('kubejs:ji_xie_shou_bing')
        ],
        'create:extendo_grip',
        [
            create.pressing(incomplete, incomplete),
            create.deploying(incomplete, [incomplete, 'kubejs:jing_jin']),
            create.deploying(incomplete, [incomplete, 'kubejs:jing_tie']),
        ]).transitionalItem(incomplete).loops(4)

    //先驱元件
    create.sequenced_assembly(
        [
            Item.of('kubejs:harbinger_component')
        ],
        'cataclysm:witherite_ingot',
        [
            create.pressing(incomplete, incomplete),
            create.deploying(incomplete, [incomplete, 'create:precision_mechanism']),
            create.deploying(incomplete, [incomplete, 'kubejs:jing_tie']),
            create.deploying(incomplete, [incomplete, 'kubejs:jing_jin']),
            create.cutting(incomplete, incomplete),
            create.deploying(incomplete, [incomplete, 'protection_pixel:heatoverlockingmechanism']),
        ]).transitionalItem(incomplete).loops(4)
    //重型剑刃
    create.sequenced_assembly(
        [
            Item.of('kubejs:zhong_xing_jian_ren')
        ],
        'diamond_sword',
        [
            create.cutting(incomplete, incomplete),
            create.deploying(incomplete, [incomplete, 'kubejs:jing_jin']),
            create.deploying(incomplete, [incomplete, 'kubejs:jing_tie']),
            create.deploying(incomplete, [incomplete, 'create:sturdy_sheet']),
            create.pressing(incomplete, incomplete),
        ]).transitionalItem(incomplete).loops(2)
    //改进型—加速器
    create.sequenced_assembly(
        [
            Item.of('kubejs:jia_su_qi')
        ],
        'create:rotation_speed_controller',
        [
            create.deploying(incomplete, [incomplete, 'create:brass_casing']),
            create.cutting(incomplete, incomplete),
            create.deploying(incomplete, [incomplete, 'kubejs:jing_jin']),
            create.deploying(incomplete, [incomplete, 'kubejs:jing_tie']),
            create.deploying(incomplete, [incomplete, 'create:cogwheel']),
            create.deploying(incomplete, [incomplete, 'create:large_cogwheel']),
        ]).transitionalItem(incomplete).loops(4)
    //改进型—动力锯
    create.sequenced_assembly(
        [
            Item.of('kubejs:dong_li_ju')
        ],
        'create:mechanical_saw',
        [
            create.deploying(incomplete, [incomplete, 'create:precision_mechanism']),
            create.cutting(incomplete, incomplete),
            create.deploying(incomplete, [incomplete, 'kubejs:jing_jin']),
            create.deploying(incomplete, [incomplete, 'kubejs:jing_tie']),
            create.deploying(incomplete, [incomplete, 'create:sturdy_sheet']),
        ]).transitionalItem(incomplete).loops(4)

    //宙斯盾
    create.sequenced_assembly(
        [
            Item.of('kubejs:aegis')
        ],
        'protection_pixel:alloyarmorplate',
        [
            create.deploying(incomplete, [incomplete, 'pasterdream:wind_iron_ingot']),
            create.deploying(incomplete, [incomplete, 'pasterdream:moltengold_ingot']),
        ]).transitionalItem(incomplete).loops(1)

    //精妙构建配方修改
    create.sequenced_assembly(
        [
            'create:precision_mechanism'
        ],
        'create:golden_sheet',
        [
            create.deploying(incomplete, [incomplete, 'create:cogwheel']),
            create.deploying(incomplete, [incomplete, 'create:large_cogwheel']),
            create.deploying(incomplete, [incomplete, 'create:large_cogwheel']),
        ]).transitionalItem(incomplete).loops(3).id('create:sequenced_assembly/precision_mechanism')
        // 热力构建配方修改
    create.sequenced_assembly(
        [
            'protection_pixel:heatoverlockingmechanism'
        ],
        'create:sturdy_sheet',
        [
            create.deploying(incomplete, [incomplete, 'create:precision_mechanism']),
            create.deploying(incomplete, [incomplete, 'minecraft:diamond']),
            create.deploying(incomplete, [incomplete, 'create:copper_sheet']),
            create.pressing(incomplete, incomplete),
        ]).transitionalItem(incomplete).loops(1).id('protection_pixel:heatoverlockmechanismloot')

    //机动翼
    create.mechanical_crafting('protection_pixel:maneuveringwing',
        [
            'AB BA',
            'CDFDC',
            'CEBEC'
        ],
        {
            A: 'create:minecart_coupling',
            B: 'minecraft:iron_ingot',
            C: 'create:andesite_alloy',
            D: 'create:propeller',
            E: 'minecraft:phantom_membrane',
            F: 'create:precision_mechanism'
        }
    ).id('protection_pixel:wingloot')

    //洞悉
    create.mechanical_crafting(Item.of('tetra:scroll_rolled', '{BlockEntityTag:{data:[{details:"art_of_forging",glyphs:[I;6,15,4,8],intricate:0b,key:"armor/helmet/dong_xi",material:0,ribbon:"ff66",schematics:["tetra:armor/helmet/dong_xi"]}]}}'), [
        'BCB',
        'EAE',
        'BDB'
    ], {
        C: 'create:goggles',
        B: 'create:precision_mechanism',
        A: 'minecraft:writable_book',
        D: 'born_in_chaos_v1:sea_terror_eye',
        E: 'minecraft:paper'
    })
    //炽流脉冲推进器
    create.mechanical_crafting('protection_pixel:heatpulsethruster',
        [
            ' ABA ',
            'CDEDC',
            'CFFFC'
        ],
        {
            A: 'minecraft:iron_ingot',
            B: 'create:precision_mechanism',
            C: 'create:chute',
            D: 'create:mechanical_pump',
            E: 'create:fluid_tank',
            F: 'art_of_forging:forged_steel_ingot'
        }
    ).id('protection_pixel:jetloot')




})
